/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.portal.security.sso.openid.connect.constants;

import aQute.bnd.annotation.ProviderType;

/**
 * @author Michael C. Han
 */
@ProviderType
public class OpenIdConnectProviderPropertyNames {

	public static final String OPEN_ID_CONNECT_ENDPOINT_AUTH =
		"open.id.connect.endpoint.auth";

	public static final String OPEN_ID_CONNECT_ENDPOINT_DISCOVERY =
		"open.id.connect.endpoint.discovery";

	public static final String OPEN_ID_CONNECT_ENDPOINT_TOKEN =
		"open.id.connect.endpoint.token";

	public static final String OPEN_ID_CONNECT_ENDPOINT_USERINFO =
		"open.id.connect.endpoint.userinfo";

	public static final String OPEN_ID_CONNECT_JWKS_URI =
		"open.id.connect.jwksuri";

	public static final String OPEN_ID_CONNECT_SUBJECT_TYPES =
		"open.id.connect.subjecttypes";

	public static final String OPEN_ID_CONNECT_URL_ISSUER =
		"open.id.connect.url.issuer";

}